Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
txchuong

Hỏi về toạ độ điểm chèn block

Các bài được khuyến nghị

Các bác cho em hỏi về toạ độ điểm chèn của block tý.

Em có 1 số bản vẽ mà khi em cần xác định toạ độ điểm chèn của block bằng hàm của lisp lại khác với khi list bằng lệnh li của cad hoặc ID tại vị trí điểm chèn đó.

Em có dùng sai hàm của lisp không, các bác chỉ giúp em cách để lấy được toạ độ chính xác như trên bản vẽ với.

Trong bản vẽ gủi kèm em ghi toạ độ cả 3 cách, các bác xem và giải thích giúp em với.

http://www.cadviet.com/upfiles/3/123735_aaaa.dwgCảm ơn các bác.

 BLOCK REFERENCE  Layer: "0"
                            Space: Model space
                   Color: BYLAYER    Linetype: "CONTINUOUS"
                   Handle = 59
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
 
 Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
 
 Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
 
Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
 
Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không phải UCS đâu bác, lúc đầu em cũng nghĩ vậy và đã chọn World rồi nhưng vẫn thế. 

http://www.mediafire.com/?mpydjeupuhpbl1u link down media bác thử down về xem hộ em tý.

UCS về W thì cả 3 cái giống nhau. Ketxu đã nói đúng.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Không phải UCS đâu bác, lúc đầu em cũng nghĩ vậy và đã chọn World rồi nhưng vẫn thế. 

http://www.mediafire.com/?mpydjeupuhpbl1u link down media bác thử down về xem hộ em tý.

Hề hề hề,

Bạn cần trả ucs về W trước khi bạn gọi lệnh li hay id thì nó mới trả về tọa độ trong hệ W. Bởi li và id luôn trả về tọa độ trong hệ ucs hiện hành của đối tượng

Còn (cdr (assoc 10 (entget blockename))) luôn trả về tọa độ trong hệ W của điểm chèn block bạn ạ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×